rdconvert
1
May 2017
Linux Audio Manual

# rdconvert

Convert an audio file to a different format
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdconvert
          OPTIONS
          src-file

## Description

`rdconvert` 1 can be used to convert audio files between different formats.

## Options

`--destination-bit-rate=`bit-rate

  Use a bit rate of bit-rate bits per second. This option is ignored for PCM and FLAC formats, and is mutually exclusive with the `--destination-quality` option. The default value is `0`.

`--destination-channels=`chans

  Use chans channels. Supported values are `1` and `2`. The default value is `2`.

`--destination-file=`filename

  Write the converted data to filename. If not specified, the data will be written to the name of the input file with the default extension of the destination format appended.

`--destination-format=`format

  Write the converted data to the specified format. format can be one of the following:

  `0`

    PCM16 WAV

  `2`

    MPEG Layer 2 (Raw)

  `3`

    MPEG Layer 3 (Raw)

  `4`

    Free Lossless Audio Codec (FLAC)

  `5`

    OggVorbis

  `6`

    MPEG Layer 2 (BWF WAV Container)

  `7`

    PCM24 WAV

`--destination-quality=`qual

  Use a variable bitrate with a quality of chans. Supported values are `-1` through `10`. This parameter is used only with a format of `5` (OggVorbis). The default value is `0`.

`--destination-sample-rate=`rate

  Use a sample rate of rate samples per second. Not all sample rates are supported for all formats; see the relevant MPEG specifications for details. The default value is `48000`.

`--end-point=`msec

  Stop converting the audio data at the point msec mS from the start of the source file. A value of `-1` means to continue conversion to the end of the source file, which is the default.

`--normalization-level=`lvl

  Peak-normalize the audio to lvl dBFS. A value of `0` disables normalization, which is the default.

`--speed-ratio=`ratio

  Alter the tempo of the audio by ratio. A value of `1.0` specifies no tempo alteration, which is the default.

`--start-point=`msec

  Start converting the audio data at the point msec mS into the source file. The default value is `0`.

## See Also

rdexport 1 `,` rdimport 1 `,` rdmarkerset 8